Index: /trunk/src/update_imadoc.m
===================================================================
--- /trunk/src/update_imadoc.m	(revision 20)
+++ /trunk/src/update_imadoc.m	(revision 30)
@@ -10,4 +10,5 @@
 testappend=0;
 if exist(outputfile,'file');%=1 if the output file already exists, 0 else  
+    testappend=1;
     t=xmltree(outputfile); %read the file
     backupfile=outputfile;
@@ -28,11 +29,4 @@
         [t,uid_calib]=add(t,1,'element','GeometryCalib');
     else %if GeometryCalib already exists, delete its content
-%         backupfile=outputfile;
-%         testexist=2;
-%         while testexist==2
-%            backupfile=[backupfile '~'];
-%            testexist=exist(backupfile,'file');
-%         end
-%         [success,message]=copyfile(outputfile,backupfile);%make backup
         if isequal(success,1)
             delete(outputfile)
@@ -42,5 +36,4 @@
         uid_child=children(t,uid_calib);
         t=delete(t,uid_child);
-        testappend=1;
     end
 end
@@ -49,5 +42,4 @@
     t=set(t,1,'name','ImaDoc');
     [t,uid_calib]=add(t,1,'element','GeometryCalib');
-%     t=struct2xml(GeometryCalib,t,uid_calib);
 end
 t=struct2xml(GeometryCalib,t,uid_calib); 
Index: /trunk/src/uvmat.m
===================================================================
--- /trunk/src/uvmat.m	(revision 20)
+++ /trunk/src/uvmat.m	(revision 30)
@@ -325,5 +325,12 @@
 else
    if ishandle(handles.UVMAT_title)
-        set(handles.UVMAT_title,'String',[{'Copyright Joel Sommeria, 2008, Coriolis/ LEGI / CNRS-UJF-INPG';'GNU General Public License'; path_to_uvmat; 'version 2.2.beta';date_str};errormsg]);
+       fid=fopen('revision.log')
+       if fid
+        a=textscan(fid,'%s%s%s',1,'HeaderLines',1,'Delimiter','|');
+        set(handles.UVMAT_title,'String',[{'Copyright Joel Sommeria, 2008, Coriolis/ LEGI / CNRS-UJF-INPG';'GNU General Public License'; path_to_uvmat; ['at revision ' a{1}{1}]};a{3}{1};errormsg]);
+        fclose(fid);
+       else
+           set(handles.UVMAT_title,'String',[{'Copyright Joel Sommeria, 2008, Coriolis/ LEGI / CNRS-UJF-INPG';'GNU General Public License'; path_to_uvmat; 'version 2.2.beta';date_str};errormsg]);
+       end
    end
 end
@@ -470,10 +477,25 @@
 %----------------------------------------------------------------
 function display_file_name(hObject, eventdata, handles,fileinput)
+if ~exist(fileinput,'file')
+    msgbox_uvmat('ERROR',['input file ' fileinput  ' does not exist'])
+    return
+end
 [RootPath,RootFile,i1,i2,str_a,str_b,ext,NomType,SubDir]=name2display(fileinput);
-form=imformats(ext(2:end));%test valid Matlab image formats
-if ~isempty(form)
-    ext_test='.image';
-    imainfo=imfinfo(fileinput);  
-    if length(imainfo) >1 %case of image with multiple frames
+ext_test=''; %default
+if ~isempty(ext) 
+    form=imformats(ext(2:end));%test valid Matlab image formats
+    if ~isempty(form)
+        ext_test='.image';
+        imainfo=imfinfo(fileinput);  
+        if length(imainfo) >1 %case of image with multiple frames
+            i1='1'; % set the frame counter to 1 by default
+            i2='';
+            str_a='';
+            str_b='';
+            NomType='*'; %indicate a set of indexed frames within a single file
+            [RootPath,RootFile]=fileparts(fileinput); %include the indices in the root file
+        end
+    elseif isequal(lower(ext),'.avi')
+        ext_test='.image';
         i1='1'; % set the frame counter to 1 by default
         i2='';
@@ -482,15 +504,7 @@
         NomType='*'; %indicate a set of indexed frames within a single file
         [RootPath,RootFile]=fileparts(fileinput); %include the indices in the root file
-    end
-elseif isequal(lower(ext),'.avi')
-    ext_test='.image';
-    i1='1'; % set the frame counter to 1 by default
-    i2='';
-    str_a='';
-    str_b='';
-    NomType='*'; %indicate a set of indexed frames within a single file
-    [RootPath,RootFile]=fileparts(fileinput); %include the indices in the root file
-else
-    ext_test=lower(ext);
+    else
+        ext_test=lower(ext);
+    end
 end
 switch ext_test
